Subject: Re: [PATCH v4 04/36] hook.[ch]: move find_hook() to this new library

From: Emily Shaffer <[email-masked]>
Date: Thu, 19 Aug 2021 17:08:30 -0700

On Tue, Aug 03, 2021 at 09:38:30PM +0200, Ævar Arnfjörð Bjarmason wrote:

The subject is now a little confusing (and I guess it would have been
before, too). Can we remove "this new library" and replace it with
something that makes sense on its own?

> 
> Move the find_hook() function from run-command.c to a new hook.c
> library. This change establishes a stub library that's pretty
> pointless right now, but will see much wider use with Emily Shaffer's
> upcoming "configuration-based hooks" series.
> 
> Eventually all the hook related code will live in hook.[ch]. Let's
> start that process by moving the simple find_hook() function over
> as-is.
> 
> Signed-off-by: Emily Shaffer <[email-masked]>
> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>

It doesn't make sense for me to add a Reviewed-by line here, I guess.
But it seems to me to be fine to do this early on instead of at the very
end.

 - Emily